CVE-2018-1126

Priority
Description
procps-ng before version 3.3.15 is vulnerable to an incorrect integer size
in proc/alloc.* leading to truncation/integer overflow issues. This flaw is
related to CVE-2018-1124.
Notes
 mdeslaur> [PATCH 035/117] proc/alloc.*: Use size_t, not unsigned int.
Assigned-to
mdeslaur
Package
Upstream:released (3.3.15)
Ubuntu 12.04 ESM (Precise Pangolin):released (1:3.2.8-11ubuntu6.5)
Ubuntu 14.04 LTS (Trusty Tahr):released (1:3.3.9-1ubuntu2.3)
Ubuntu 16.04 LTS (Xenial Xerus):released (2:3.3.10-4ubuntu2.4)
Ubuntu 18.04 LTS (Bionic Beaver):released (2:3.3.12-3ubuntu1.1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (2:3.3.15-2ubuntu1)
Patches:
Upstream:https://gitlab.com/procps-ng/procps/commit/f1077b7a558a5545837aae068422e58f1f9b1d33
More Information

Updated: 2019-03-19 12:30:19 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)